export { Store } from './Store';
export declare const reducers: {
    '@sample/counter': (state: {
        value: number;
    }, action: {
        type: "@@sample/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@sample/RESET_COUNTER";
    } | ({
        type: "@@sample/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@sample/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@sample/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@sample/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@sample/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@sample/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => {
        value: number;
    };
    '@sample/isSaving': (state: boolean, action: {
        type: "@@sample/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@sample/RESET_COUNTER";
    } | ({
        type: "@@sample/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@sample/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@sample/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@sample/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@sample/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@sample/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => boolean;
    '@sample/isLoading': (state: boolean, action: {
        type: "@@sample/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@sample/RESET_COUNTER";
    } | ({
        type: "@@sample/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@sample/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@sample/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@sample/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@sample/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@sample/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => boolean;
    '@sample/error': (state: string, action: {
        type: "@@sample/INCREMENT_COUNTER";
        delta: number;
    } | {
        type: "@@sample/RESET_COUNTER";
    } | ({
        type: "@@sample/SAVE_COUNT_REQUEST";
    } & {
        request: {
            value: number;
        };
    }) | ({
        type: "@@sample/SAVE_COUNT_SUCCESS";
    } & {
        request: {
            value: number;
        };
    } & {
        response: {};
    }) | ({
        type: "@@sample/SAVE_COUNT_ERROR";
    } & {
        request: {
            value: number;
        };
    } & {
        error: Error;
    }) | ({
        type: "@@sample/LOAD_COUNT_REQUEST";
    } & {
        request: null;
    }) | ({
        type: "@@sample/LOAD_COUNT_SUCCESS";
    } & {
        request: null;
    } & {
        response: {
            value: number;
        };
    }) | ({
        type: "@@sample/LOAD_COUNT_ERROR";
    } & {
        request: null;
    } & {
        error: Error;
    })) => string;
};
